import {
  getTheme
} from "./chunk-HJJLXXAU.esm.js";
import {
  __name
} from "./chunk-YPCYSKQX.esm.js";

// src/theming.tsx
import weakMemoize from "@emotion/weak-memoize";
import { createContext } from "@chakra-ui/vue-utils";
var [_EmotionThemeProvider, useEmotionTheme, EmotionThemeContextSymbol] = createContext({
  strict: false,
  name: "EmotionThemeContext"
});
var createCacheWithTheme = /* @__PURE__ */ weakMemoize((outerTheme) => {
  return weakMemoize((theme) => {
    return getTheme(outerTheme, theme);
  });
});
function EmotionThemeProvider(theme) {
  let _theme = useEmotionTheme();
  if (theme !== _theme) {
    _theme = createCacheWithTheme(_theme)(theme);
  }
  _EmotionThemeProvider(_theme);
}
__name(EmotionThemeProvider, "EmotionThemeProvider");

export {
  useEmotionTheme,
  EmotionThemeContextSymbol,
  createCacheWithTheme,
  EmotionThemeProvider
};
