import {
  createStyled
} from "./chunk-N6AEXLRL.esm.js";
import {
  EmotionCacheInjectionSymbol,
  EmotionCacheProvider,
  __unusafe_useEmotionCache,
  defaultCache,
  withEmotionCache
} from "./chunk-D2NXF4PK.esm.js";
import {
  tags
} from "./chunk-QXR5WAW5.esm.js";
import {
  EmotionThemeContextSymbol,
  EmotionThemeProvider,
  createCacheWithTheme,
  useEmotionTheme
} from "./chunk-GLR22TO4.esm.js";
import "./chunk-HJJLXXAU.esm.js";
import "./chunk-YPCYSKQX.esm.js";

// src/index.tsx
var styled = createStyled.bind();
tags.forEach((tagName) => {
  styled[tagName] = styled(tagName);
});
var src_default = styled;
export {
  EmotionCacheInjectionSymbol,
  EmotionCacheProvider,
  EmotionThemeContextSymbol,
  EmotionThemeProvider,
  __unusafe_useEmotionCache,
  createCacheWithTheme as createThemeCache,
  src_default as default,
  defaultCache,
  useEmotionTheme,
  withEmotionCache
};
